datan

## Class DatanUserFunction

- java.lang.Object
- - datan.DatanUserFunction

-     public abstract class DatanUserFunction
      extends java.lang.Object

  An abstract class which has to be extended by the user to yield a class computing a scalar function
  Author:
    Siegmund Brandt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatanUserFunction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getValue(DatanVector d)`
    `double` | `getValue(DatanVector eta, DatanVector x, int k)`
    `double` | `getValue(DatanVector d, double t)`
    `double` | `getValue(double x)`
    `double` | `getValue(double x, double y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatanUserFunction

          public DatanUserFunction()

  - ### Method Detail

    - #### getValue

          public double getValue(double x,
                        double y)

      Returns:
        the function value at a point in the Cartesian plane with the coordinates x, y. Used in the drawing of a contour.

    - #### getValue

          public double getValue(DatanVector d,
                        double t)

      Returns:
        the function value for a given vector d and the variable t. Used in in least squares problems.

    - #### getValue

          public double getValue(DatanVector d)

      Returns:
        the function value at a point in n-space given by the vector d. Used in in minimization problems.

    - #### getValue

          public double getValue(double x)

      Returns:
        the function value for the argument x. Used in some cases in numerical computation of derivative or in finding zero of a function

    - #### getValue

          public double getValue(DatanVector eta,
                        DatanVector x,
                        int k)

      Returns:
        the function value of the constraint function number k with the arguments eta and x. Used in LsqGen and LsqAsg